<?php

/**
 * EmailServiceStub.php
 * Created By: nico
 * Created On: 8/17/2015
 */
class EmailServiceStub implements \F1\RegisterFlow\EmailServiceInterface
{
    public $emails = [];

    /**
     * Send confirmation request to the address specified in $registrationData[registration_email]
     *
     * @param array $registrationData
     * @param string $registrationKey
     */
    public function sendConfirmationRequest($registrationData, $registrationKey)
    {
        $this->emails[$registrationKey] = $registrationData;
    }
}