<?php
/**
 * Registration.php
 * Created By: nico
 * Created On: 8/15/2015
 */

namespace F1\RegisterFlow;


class RegistrationStep1 extends RegistrationBase
{
    public function processFormData(&$formData)
    {
        $errors = new \WP_Error();

        $formData = apply_filters('f1_registration_step1_validate', $formData, $errors);
        $this->validateAvailableData($formData, $errors);
        if(!empty($errors->errors))
            return $errors;

        return $formData;
    }
}